%define upstream_name    CPAN-Testers-Report
%define upstream_version 1.999003

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Versions of particular modules installed on a system
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/CPAN/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Metabase::Fact::Hash)
BuildRequires: perl(Metabase::Fact::String)
BuildRequires: perl(Metabase::Report)
BuildRequires: perl(Test::More)
BuildArch: noarch

%description
Metabase report class encapsulating Facts about a CPAN Testers report

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.yml META.json README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sat Jun 18 2016 pterjan <pterjan> 1.999.3-3.mga6
+ Revision: 1024498
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 1.999.3-2.mga6
+ Revision: 967061
- Mageia 6 Mass Rebuild

* Mon Jun 29 2015 sander85 <sander85> 1.999.3-1.mga6
+ Revision: 848047
- update to 1.999003

* Sun Oct 19 2014 umeabot <umeabot> 1.999.2-4.mga5
+ Revision: 789247
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.999.2-3.mga5
+ Revision: 744866
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.999.2-2.mga5
+ Revision: 683694
- Mageia 5 Mass Rebuild

* Tue Jul 15 2014 sander85 <sander85> 1.999.2-1.mga5
+ Revision: 653032
- update to 1.999002

* Fri Oct 18 2013 umeabot <umeabot> 1.999.1-3.mga4
+ Revision: 509537
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.999.1-2.mga3
+ Revision: 363677
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 19 2011 shlomif <shlomif> 1.999.1-1.mga2
+ Revision: 184300
- imported package perl-CPAN-Testers-Report


* Fri Jun 24 2011 cpan2dist 1.999001-1mdv
- initial mdv release, generated with cpan2dist
